<template>
  <view class='detail'>
    <component :is="componentType"></component>
  </view>
</template>

<script>
import OmoDownload from './component/down';
import OmoBrand from './component/brand';
import OmoMba from './component/mba';
import OmoMedia from './component/media';
export default {
  data() {
    return {
      type: '1'
    }
  },
  components: {
    OmoDownload,
    OmoBrand,
    OmoMba,
    OmoMedia
  },
  computed: {
    componentType() {
      if (this.type == 1) {
        return 'omo-download'
      } else if (this.type == 2) {
        return 'omo-brand'
      } else if (this.type == 3) {
        return 'omo-mba'
      } else if (this.type == 4) {
        return 'omo-media'
      }
      return ''
    }
  },

  onLoad(options) {
    this.type = options.type
  },

  onShow() {

  },

  methods: {

  }

}
</script>

<style lang="scss" scoped>
</style>

